Summary:        Library for accessing USB devices
Name:           libusbx
Version:        1.0.26
Release:        5%{?dist}
License:        LGPLv2+
URL:            http://libusb.info
Source0:        https://github.com/libusb/libusb/releases/download/v%{version}/libusb-%{version}.tar.bz2
BuildRequires:  systemd-devel, doxygen, libtool, make
Provides:       libusb1 = %{version}-%{release}



%description
libusb is a library for USB device access from Linux, macOS, Windows,
OpenBSD/NetBSD, Haiku, Solaris userspace, and WebAssembly via WebUSB. It
is written in C (Haiku backend in C++) and licensed under the GNU Lesser
General Public License version 2.1 or, at your option, any later version.

libusb is abstracted internally in such a way that it can hopefully be
ported to other operating systems. Please see the PORTING file for more information.

If you need libusb-0.1, please compatibility install the libusb package.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       libusb1-devel = %{version}-%{release}

%description    devel
This package provides libraries and header files for developers who
use %{name}.



%prep
%autosetup -n libusb-%{version}



%build
%configure --disable-static --disable-examples-build --enable-tests-build
%make_build



%install
%make_install
rm %{buildroot}%{_libdir}/*.la




%check
LD_LIBRARY_PATH=libusb/.libs ldd tests/.libs/stress
LD_LIBRARY_PATH=libusb/.libs tests/.libs/stress




%files
%license COPYING
%doc AUTHORS README ChangeLog
%{_libdir}/*.so.*

%files devel
%{_includedir}/libusb-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/libusb-1.0.pc



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.26-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.26-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.26-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.26-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 cunshunxia <cunshunxia@tencent.com> - 1.0.26-1
- initial build
